import mapValues from 'lodash/mapValues';
import lowerCase from 'lodash/lowerCase';

var makeLowerCaseVersion = function makeLowerCaseVersion(constants) {
  // eslint-disable-next-line no-param-reassign
  constants.LOWER = mapValues(constants, lowerCase);
  return constants;
};

export var ORDER_TYPES = makeLowerCaseVersion({
  LIMIT: 'LIMIT',
  BUY: 'BUY',
  SELL: 'SELL'
});
export var ORDER_SIDES = makeLowerCaseVersion({
  BUY: 'BUY',
  SELL: 'SELL'
});
export var ORDER_STATUSES = makeLowerCaseVersion({
  OPEN: 'OPEN',
  DONE: 'DONE',
  ALL: 'ALL'
});
export var BALANCE_TYPES = makeLowerCaseVersion({
  FREE: 'FREE',
  USED: 'USED',
  TOTAL: 'TOTAL'
});
export var MAKER = 'maker';
export var TAKER = 'taker';
export var MARKET_STATUS = makeLowerCaseVersion({
  ONLINE: 'ONLINE'
});