function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } } function _next(value) { step("next", value); } function _throw(err) { step("throw", err); } _next(); }); }; }

import axios from 'axios';
import keyByFn from 'lodash/keyBy';
var BASE_URL = 'https://api.coinmarketcap.com/v1';
export var fetchTickers =
/*#__PURE__*/
function () {
  var _ref = _asyncToGenerator(
  /*#__PURE__*/
  regeneratorRuntime.mark(function _callee() {
    var _ref2,
        start,
        limit,
        convert,
        keyBy,
        _ref3,
        data,
        _args = arguments;

    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _ref2 = _args.length > 0 && _args[0] !== undefined ? _args[0] : {}, start = _ref2.start, limit = _ref2.limit, convert = _ref2.convert, keyBy = _ref2.keyBy;
            _context.next = 3;
            return axios.get("".concat(BASE_URL, "/ticker/"), {
              params: {
                start: start,
                limit: limit,
                convert: convert
              }
            });

          case 3:
            _ref3 = _context.sent;
            data = _ref3.data;

            if (!keyBy) {
              _context.next = 7;
              break;
            }

            return _context.abrupt("return", keyByFn(data, keyBy));

          case 7:
            return _context.abrupt("return", data);

          case 8:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function fetchTickers() {
    return _ref.apply(this, arguments);
  };
}();
export var fetchTicker =
/*#__PURE__*/
function () {
  var _ref4 = _asyncToGenerator(
  /*#__PURE__*/
  regeneratorRuntime.mark(function _callee2() {
    var _ref5,
        id,
        symbol,
        convert,
        data,
        _data,
        _args2 = arguments;

    return regeneratorRuntime.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _ref5 = _args2.length > 0 && _args2[0] !== undefined ? _args2[0] : {}, id = _ref5.id, symbol = _ref5.symbol, convert = _ref5.convert;

            if (!id) {
              _context2.next = 6;
              break;
            }

            _context2.next = 4;
            return fetchTickers({
              convert: convert,
              keyBy: 'id'
            });

          case 4:
            data = _context2.sent;
            return _context2.abrupt("return", data[id]);

          case 6:
            if (!symbol) {
              _context2.next = 11;
              break;
            }

            _context2.next = 9;
            return fetchTickers({
              convert: convert,
              keyBy: 'symbol'
            });

          case 9:
            _data = _context2.sent;
            return _context2.abrupt("return", _data[symbol]);

          case 11:
            return _context2.abrupt("return", null);

          case 12:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2, this);
  }));

  return function fetchTicker() {
    return _ref4.apply(this, arguments);
  };
}();
export var fetchGlobalMarket =
/*#__PURE__*/
function () {
  var _ref6 = _asyncToGenerator(
  /*#__PURE__*/
  regeneratorRuntime.mark(function _callee3() {
    var _ref7,
        convert,
        _ref8,
        data,
        _args3 = arguments;

    return regeneratorRuntime.wrap(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            _ref7 = _args3.length > 0 && _args3[0] !== undefined ? _args3[0] : {}, convert = _ref7.convert;
            _context3.next = 3;
            return axios.get("".concat(BASE_URL, "/global"), {
              params: {
                convert: convert
              }
            });

          case 3:
            _ref8 = _context3.sent;
            data = _ref8.data;
            return _context3.abrupt("return", data);

          case 6:
          case "end":
            return _context3.stop();
        }
      }
    }, _callee3, this);
  }));

  return function fetchGlobalMarket() {
    return _ref6.apply(this, arguments);
  };
}();