export var now = function now() {
  return Date.now();
};
export var seconds = function seconds() {
  return Math.floor(now() / 1000);
};
export var milliseconds = now;
export var microseconds = function microseconds() {
  return now() * 1000;
};
export var iso8601 = function iso8601(timestamp) {
  return new Date(timestamp).toISOString();
};
export var parse8601 = function parse8601(x) {
  return Date.parse(x.indexOf('+') >= 0 || x.slice(-1) === 'Z' ? x : "".concat(x, "Z"));
};
export var ymdhms = function ymdhms(timestamp) {
  var infix = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : ' ';
  var date = new Date(timestamp);
  var Y = date.getUTCFullYear();
  var m = date.getUTCMonth() + 1;
  var d = date.getUTCDate();
  var H = date.getUTCHours();
  var M = date.getUTCMinutes();
  var S = date.getUTCSeconds();
  m = m < 10 ? "0".concat(m) : m;
  d = d < 10 ? "0".concat(d) : d;
  H = H < 10 ? "0".concat(H) : H;
  M = M < 10 ? "0".concat(M) : M;
  S = S < 10 ? "0".concat(S) : S;
  return "".concat(Y, "-").concat(m, "-").concat(d).concat(infix).concat(H, ":").concat(M, ":").concat(S);
};