import forEach from 'lodash/forEach';
import tail from 'lodash/tail';
import xor from 'lodash/xor';
export var validateRequiredParams = function validateRequiredParams(_ref) {
  var name = _ref.name,
      params = _ref.params,
      _ref$error = _ref.error,
      ErrorClass = _ref$error === void 0 ? Error : _ref$error;
  var errors = [];
  forEach(params, function (value, paramName) {
    if (!value) {
      errors.push(paramName);
    }
  });

  if (errors.length) {
    throw new ErrorClass("Method ".concat(name, " requires ").concat(errors.join(', '), " parameters"));
  }
};
export var validateSameKeys = function validateSameKeys(responses) {
  var firstResponseKeys = Object.keys(responses[0]);
  var firstResponseLength = firstResponseKeys.length;
  tail(responses).forEach(function (response) {
    var keys = Object.keys(response);

    if (keys.length !== firstResponseLength) {
      console.log('There is a xor between response keys', xor(firstResponseKeys, keys));
    }
  });
};