"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _validations = require("./utils/validations");

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } } function _next(value) { step("next", value); } function _throw(err) { step("throw", err); } _next(); }); }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var Aggregation =
/*#__PURE__*/
function () {
  function Aggregation() {
    var _this = this;

    var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
        _ref$exchanges = _ref.exchanges,
        exchanges = _ref$exchanges === void 0 ? [] : _ref$exchanges;

    _classCallCheck(this, Aggregation);

    Object.defineProperty(this, "reduceResponses", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: function value(responses) {
        return responses.reduce(function (total, response, index) {
          var exchangeName = _this.exchanges[index].constructor.name.toLowerCase();

          return _extends({}, total, _defineProperty({}, exchangeName, response));
        }, {});
      }
    });
    this.exchanges = exchanges;
  }

  _createClass(Aggregation, [{
    key: "fetchBalance",
    value: function () {
      var _fetchBalance = _asyncToGenerator(
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee() {
        var promises, responses;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                promises = this.exchanges.map(function (exchange) {
                  return exchange.fetchBalance();
                });
                _context.next = 3;
                return Promise.all(promises);

              case 3:
                responses = _context.sent;
                return _context.abrupt("return", this.reduceResponses(responses));

              case 5:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      return function fetchBalance() {
        return _fetchBalance.apply(this, arguments);
      };
    }()
  }, {
    key: "fetchTicker",
    value: function () {
      var _fetchTicker = _asyncToGenerator(
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee2(_ref2) {
        var symbol, promises, responses;
        return regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                symbol = _ref2.symbol;
                promises = this.exchanges.map(function (exchange) {
                  return exchange.fetchTicker({
                    symbol: symbol
                  });
                });
                _context2.next = 4;
                return Promise.all(promises);

              case 4:
                responses = _context2.sent;
                (0, _validations.validateSameKeys)(responses);
                return _context2.abrupt("return", this.reduceResponses(responses));

              case 7:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2, this);
      }));

      return function fetchTicker(_x) {
        return _fetchTicker.apply(this, arguments);
      };
    }()
  }, {
    key: "fetchMarkets",
    value: function () {
      var _fetchMarkets = _asyncToGenerator(
      /*#__PURE__*/
      regeneratorRuntime.mark(function _callee3(_ref3) {
        var symbol, promises, responses;
        return regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                symbol = _ref3.symbol;
                promises = this.exchanges.map(function (exchange) {
                  return exchange.fetchMarkets({
                    symbol: symbol
                  });
                });
                _context3.next = 4;
                return Promise.all(promises);

              case 4:
                responses = _context3.sent;
                (0, _validations.validateSameKeys)(responses);
                return _context3.abrupt("return", this.reduceResponses(responses));

              case 7:
              case "end":
                return _context3.stop();
            }
          }
        }, _callee3, this);
      }));

      return function fetchMarkets(_x2) {
        return _fetchMarkets.apply(this, arguments);
      };
    }()
  }]);

  return Aggregation;
}();

var _default = Aggregation;
exports.default = _default;