"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateSameKeys = exports.validateRequiredParams = void 0;

var _forEach = _interopRequireDefault(require("lodash/forEach"));

var _tail = _interopRequireDefault(require("lodash/tail"));

var _xor = _interopRequireDefault(require("lodash/xor"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var validateRequiredParams = function validateRequiredParams(_ref) {
  var name = _ref.name,
      params = _ref.params,
      _ref$error = _ref.error,
      ErrorClass = _ref$error === void 0 ? Error : _ref$error;
  var errors = [];
  (0, _forEach.default)(params, function (value, paramName) {
    if (!value) {
      errors.push(paramName);
    }
  });

  if (errors.length) {
    throw new ErrorClass("Method ".concat(name, " requires ").concat(errors.join(', '), " parameters"));
  }
};

exports.validateRequiredParams = validateRequiredParams;

var validateSameKeys = function validateSameKeys(responses) {
  var firstResponseKeys = Object.keys(responses[0]);
  var firstResponseLength = firstResponseKeys.length;
  (0, _tail.default)(responses).forEach(function (response) {
    var keys = Object.keys(response);

    if (keys.length !== firstResponseLength) {
      console.log('There is a xor between response keys', (0, _xor.default)(firstResponseKeys, keys));
    }
  });
};

exports.validateSameKeys = validateSameKeys;